package com.fzm.mall.server.admin.shop.service;

import com.fzm.mall.server.admin.shop.entity.dto.NavigationDTO;
import com.fzm.mall.server.admin.shop.entity.dto.NavigationSaveDTO;
import com.fzm.mall.server.admin.shop.entity.dto.NavigationUpdateDTO;
import com.fzm.mall.server.admin.shop.model.Navigation;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 店铺中心-店铺导航管理 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-04-26
 */
public interface INavigationService extends IService<Navigation> {

    void save(NavigationSaveDTO shopNavigationSaveDTO);

    void update(NavigationUpdateDTO shopNavigationUpdateDTO);

    void delete(String navigationId, String merchantId);

    NavigationDTO read(String navigationId, String merchantId);

    List<NavigationDTO> listAll(String merchantId);
}
